#ifndef	_BOUNDARY_H_
#define	_BOUNDARY_H_

#ifndef	_color_defined_
#define	_color_defined_
typedef	unsigned char	color;
#endif

#ifndef	_point_defined_
#define	_point_defined_
typedef	struct {
	short	x, y;
} point;
#endif

#ifndef	_ChainCode_defined_
#define	_ChainCode_defined_
typedef	struct {
	short	x, y;
	long	len;
	char	*chain;
} ChainCode;
#endif

extern	const point	ChainDir[];

int	find_boundary(color **image, int width, int height, color interest,
		int connectivity, ChainCode *bound);
void	free_chain(ChainCode *chain);
int	chain2list(ChainCode *chain, point **list, int *len);
void	draw_boundary(color **image, int width, int height, color interest,
		ChainCode *bound);
void	boundary_fill(color **image, int width, int height,
		int x, int y, color bv, color nv);
#endif
